.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 500;
    position: absolute;
    background: transparent;

    &__row {
        height: rem(76);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        width: rem(151);
        display: block;
    }

    &__hamburger {

    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1450;
        opacity: 0;
        visibility: hidden;
        position: fixed;
    }

    &__button {
        min-width: rem(38);
        min-height: 1px;
    }

    @include media-breakpoint-up(md) {

        &__row {
            height: rem(100);
        }

        &__button {
            min-width: rem(165);
        }
    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {

        &__button {
            min-width: rem(184);
        }
    }
}

.hamburger {
    color: $white;
    height: rem(32);
    position: relative;
    display: inline-flex;
    align-items: center;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;
    font-family: $font-family-secondary;

    &__icon {
        width: rem(32);
        height: rem(32);
        position: relative;
        display: inline-block;
        flex-shrink: 0;

        i,
        &:after,
        &:before {
            top: calc(50% - 1px);
            width: rem(22);
            height: 2px;
            content: '';
            display: inline-block;
            position: absolute;
            border-radius: 3px;
            background-color: $white;
            transition: .3s;
        }

        i {
            left: 0;
            margin-top: rem(6);
        }

        &:after {
            left: rem(10);
        }

        &:before {
            left: rem(4);
            margin-top: rem(-6);
        }
    }

    &__text {
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(18);
        padding-left: rem(12);
        display: none;
        letter-spacing: 0.14rem;
        text-transform: uppercase;
        transform: translateX(0);
        transition: .3s;
    }

    &:hover {

        .hamburger {

            &__icon {

                &:after,
                &:before {
                    left: 0;
                    transition: .3s;
                }
            }

            &__text {
                transform: translateX(-0.625rem);
                transition: .3s;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__text {
            display: inline-block;
        }
    }
}

.nav-open {

    .header__nav {
        transition: .3s;
        transform: translateX(0);
    }

    .header__layout {
        opacity: 1;
        visibility: visible;
    }

    .hamburger {

    }
}
